# Created by pyp2rpm-3.3.2
%global pypi_name async-generator

Name:           python-%{pypi_name}
Version:        1.10
Release:        %mkrel 9
Summary:        Async generators and context managers for Python 3
Group:          Development/Python
License:        MIT -or- Apache License 2.0
URL:            https://github.com/python-trio/async_generator
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/async_generator-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-sphinxcontrib_trio
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
 :target:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 :target:

%package -n python-%{pypi_name}-doc
Summary:        async-generator documentation
%description -n python-%{pypi_name}-doc
Documentation for async-generator

%prep
%autosetup -n async_generator-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files async_generator

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.MIT LICENSE LICENSE.APACHE2
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.MIT LICENSE LICENSE.APACHE2


%changelog
* Sun Mar 02 2025 wally <wally> 1.10-9.mga10
+ Revision: 2156473
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 1.10-8.mga10
+ Revision: 2129026
- add and use pytest

* Sat Dec 09 2023 papoteur <papoteur> 1.10-7.mga10
+ Revision: 2016015
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.10-6.mga9
+ Revision: 1833214
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 1.10-5.mga9
+ Revision: 1773084
- rebuild for python3.10

* Fri Mar 19 2021 guillomovitch <guillomovitch> 1.10-4.mga9
+ Revision: 1704997
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.10-3.mga8
+ Revision: 1535538
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.10-2.mga8
+ Revision: 1452103
- rebuild with python 3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.10-1.mga8
+ Revision: 1422974
- fix build
- pyp2rpm

